### Signal

# RB RhythmDB::entry-extra-metadata-gather

#### Declaration

    void
    entry_extra_metadata_gather (
      RhythmDB* self,
      RhythmDBEntry* entry,
      RBStringValueMap* data,
      gpointer user_data
    )

#### Description [src]

Emitted to gather all available extra metadata for a database entry. Handlers for this signal should insert any metadata they can provide into the string-value map. Only immediately available metadata items should be returned. If one or more metadata items is not immediately available, the handler should not initiate an attempt to retrieve them.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` for which to gather metadata.

  The data is owned by the caller of the function.

`data`

  Type: `RBStringValueMap`

  A `RBStringValueMap` to hold the gathered metadata.

  The data is owned by the caller of the function.